package ru.dbotthepony.kstarbound.world.api

enum class TileColor {
	DEFAULT,
	RED,
	BLUE,
	GREEN,
	YELLOW,
	BROWN,
	PURPLE,
	BLACK,
	WHITE;

	companion object {
		private val values = values()

		fun of(index: Int): TileColor {
			return values.getOrElse(index) { DEFAULT }
		}
	}
}
